module IronMailer
  class MqMailer
    attr_reader :queue_name, :host
    def initialize(options={})
      @queue_name = options[:queue_name]
      @host = options[:host]
    end
    
    def client
      IronMQ::Client.new(:host=> self.host)
    end
    
    def deliver!(mail)
      @queue = self.client.queue(@queue_name)
      @queue.post(mail.encoded)
    end

  end
end
